using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability1826.Domain;

public class TaobaoTbkDgVegasTljTemporaryCreateRightsInstanceCreateResult
{

    /*
        淘礼金Id
    */
    private string? rightsId;


    /*
        淘礼金领取Url
    */
    private string? sendUrl;


    /*
        投放code【百川商品详情页业务专用】
    */
    private string? vegasCode;


    /*
        创建完成后资金账户可用资金，单位元，保留2位小数
    */
    private string? availableFee;


    /*
        媒体针对此商品今日剩余可领取淘礼金数量
    */
    private long? itemTodayNumLeft;



    [JsonPropertyName("rights_id")]
    public string? RightsId
    {
        get => rightsId;
        set => this.rightsId = value;
    }

    [JsonPropertyName("send_url")]
    public string? SendUrl
    {
        get => sendUrl;
        set => this.sendUrl = value;
    }

    [JsonPropertyName("vegas_code")]
    public string? VegasCode
    {
        get => vegasCode;
        set => this.vegasCode = value;
    }

    [JsonPropertyName("available_fee")]
    public string? AvailableFee
    {
        get => availableFee;
        set => this.availableFee = value;
    }

    [JsonPropertyName("item_today_num_left")]
    public long? ItemTodayNumLeft
    {
        get => itemTodayNumLeft;
        set => this.itemTodayNumLeft = value;
    }

}

